# DXGfxLib.test3 Class Reference

Inherits DXGfxLib::ExecutableBlock, and DXGfxLib::ExecutableBlock.

Collaboration diagram for DXGfxLib.test3:

[legend]

List of all members.

## Public Member Functions
override void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

## Detailed Description

Definition at line 9 of file test3.xml.script.cs.

## Member Function Documentation

override void DXGfxLib.test3.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 15 of file test3.xml.script.cs.

override void DXGfxLib.test3.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 15 of file test3.xml.script.cs.

override void DXGfxLib.test3.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 18 of file test3.xml.script.cs.

override void DXGfxLib.test3.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 18 of file test3.xml.script.cs.

override void DXGfxLib.test3.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 12 of file test3.xml.script.cs.

override void DXGfxLib.test3.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 12 of file test3.xml.script.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/SampleSceneLoader/bin/Debug/Media/tmpScripts/test3.xml.script.cs
- D:/guillaume/guillara/3D/DXGfx/SceneSamples/Media/tmpScripts/test3.xml.script.cs